harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Deven You <devyo...@gmail.com>
Subject about upgrade icu4j 3.8 to icu4j 4.0
Date Fri, 20 Feb 2009 09:23:26 GMT
Hi,
I have tried to upgrade icu4j3.8 to icu4j4.0 for  classlib trunk on my
machine, below is the instructions for this upgrade:
1. download  icu4j-4_0.jar and icu4j-charsets-4_0.jar from ICU official
website http://icu-project.org/download/4.0.html
2. create icu4j_4.0 folder in trunk/depends/jars, copy icu4j-4_0.jar and
icu4j-charsets-4_0.jar into icu4j_4.0 folder
3. create icu4j_4.0 folder in trunk/depends/manifests, copy META-INF foledr
from icu4j_3.8 and use version 4.0 replace 3.8 in the MANIFEST.MF  file.
4. apply configuration patch[1] for icu4.0 to change some configuration
settings.
5.  apply nio Charset patch[2] to avoid circular dependency error, if no
this patch,  nio_char unit test will report many circular dependency
error[3]

I think maybe now we can upgrade icu4j 3.8 to icu4j 4.0.
any issues welcom to discuss!

[1]
https://issues.apache.org/jira/secure/attachment/12400589/config_icu40.diff
[2] https://issues.apache.org/jira/secure/attachment/12400590/Charset.diff
[3]
https://issues.apache.org/jira/secure/attachment/12400591/nio_char_errors.txt

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message